Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01591 Graphics Minor Always Mar 23, 2008, 16:11 Dec 20, 2014, 10:54
Tester Luigi30 View Status Public Platform MAME (Self-compiled)
Assigned To AWJ Resolution Fixed OS
Status [?] Resolved Driver atarisy2.cpp
Version 0.123u6 Fixed in Version 0.157 Build
Summary 01591: paperboy, paperboyr1, paperboyr2: Flashing text in service mode
Description The coin adjustment screen has some weird flashing text on it that goes over the normal text.
Steps To Reproduce Go to service mode and flip through the screens until you get to coin adjustment.
Additional Information caused by:
"Changed MDRV_CPU_PERIODIC_INT() to take a frequency parameter instead
of a time. This is converted internally to a subseconds value.
[Aaron Giles]"

I would guess it's a rounding error? Much more drivers could be affected.
Flags
Regression Version 0.114u4
Affected Sets / Systems paperboy, paperboyr1, paperboyr2
Attached Files
png file icon 0002.png (9,568 bytes) Mar 23, 2008, 16:11
Relationships
related to 00380ResolvedAWJ 720: The sprites in 720 flicker/disappear sometimes in recent MAME versions. 
Notes
2
User avatar
No.00357
Tafoid
Administrator
Mar 23, 2008, 20:09
My testing shows this happening consistently from 0.114u4 onward. Confirmed and added regression.
User avatar
No.11288
AWJ
Developer
Dec 10, 2014, 19:05
It's not a rounding error. I've verified that the timer period is precisely 4096 usec (in attoseconds, 4096 with 12 zeros after it), exactly what it should be.